Skip to content

Get Custom Tool

GET
/api/v3/organizations/{organisation}/ai/custom-tools/{toolName}

Retrieves a single registered custom tool by name.

Authorizations

Parameters

Path Parameters

organisation
required
string

The organisation ID

toolName
required
string

The tool name to retrieve

Responses

200

Custom tool retrieved successfully

object
tool
object
name
string
check_inventory
description
string
Check product inventory levels
edgeFunctionUrl
string
https://preview.quantcdn.io/_quant/ai-exec/org/project/uuid
edgeFunctionCode

The deployed edge function source code

string
isAsync
boolean
inputSchema
string
outputSchema
string
nullable
outputSchemaDescription
string
nullable
category
string
nullable
responseMode
string
nullable
Allowed values: llm direct
createdAt
string format: date-time

403

Access denied

404

Tool not found

500

Failed to retrieve custom tools